gi-gobject-2.0.31: GObject bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.GObject.Structs.SignalInvocationHint

Contents

- Exported types
- Methods
- Properties
  - detail
  - runType
  - signalId

Description

The `SignalInvocationHint` structure is used to pass on additional information to callbacks during a signal emission.

Synopsis

- newtype SignalInvocationHint = SignalInvocationHint (ManagedPtr SignalInvocationHint)
- newZeroSignalInvocationHint :: MonadIO m => m SignalInvocationHint
- getSignalInvocationHintDetail :: MonadIO m => SignalInvocationHint -> m Word32
- setSignalInvocationHintDetail :: MonadIO m => SignalInvocationHint -> Word32 -> m ()
- getSignalInvocationHintRunType :: MonadIO m => SignalInvocationHint -> m [SignalFlags]
- setSignalInvocationHintRunType :: MonadIO m => SignalInvocationHint -> [SignalFlags] -> m ()
- getSignalInvocationHintSignalId :: MonadIO m => SignalInvocationHint -> m Word32
- setSignalInvocationHintSignalId :: MonadIO m => SignalInvocationHint -> Word32 -> m ()

# Exported types

newtype SignalInvocationHint Source #

Memory-managed wrapper type.

Constructors

SignalInvocationHint (ManagedPtr SignalInvocationHint) |

#### Instances

Instances details

Eq SignalInvocationHint Source # |
Instance details Defined in GI.GObject.Structs.SignalInvocationHint Methods (==) :: SignalInvocationHint -> SignalInvocationHint -> Bool Source # (/=) :: SignalInvocationHint -> SignalInvocationHint -> Bool Source #
BoxedPtr SignalInvocationHint Source # |
Instance details Defined in GI.GObject.Structs.SignalInvocationHint Methods boxedPtrCopy :: SignalInvocationHint -> IO SignalInvocationHint Source # boxedPtrFree :: SignalInvocationHint -> IO () Source #
CallocPtr SignalInvocationHint Source # |
Instance details Defined in GI.GObject.Structs.SignalInvocationHint Methods boxedPtrCalloc :: IO (Ptr SignalInvocationHint) Source #
ManagedPtrNewtype SignalInvocationHint Source # |
Instance details Defined in GI.GObject.Structs.SignalInvocationHint Methods toManagedPtr :: SignalInvocationHint -> ManagedPtr SignalInvocationHint Source #
tag ~ 'AttrSet => Constructible SignalInvocationHint tag Source # |
Instance details Defined in GI.GObject.Structs.SignalInvocationHint Methods new :: MonadIO m => (ManagedPtr SignalInvocationHint -> SignalInvocationHint) -> [AttrOp SignalInvocationHint tag] -> m SignalInvocationHint Source #

newZeroSignalInvocationHint :: MonadIO m => m SignalInvocationHint Source #

Construct a `SignalInvocationHint` struct initialized to zero.

# Methods

# Properties

## detail

The detail passed on for this emission

getSignalInvocationHintDetail :: MonadIO m => SignalInvocationHint -> m Word32 Source #

Get the value of the “`detail`” field. When overloading is enabled, this is equivalent to

    get signalInvocationHint #detail

setSignalInvocationHintDetail :: MonadIO m => SignalInvocationHint -> Word32 -> m () Source #

Set the value of the “`detail`” field. When overloading is enabled, this is equivalent to

    set signalInvocationHint [ #detail := value ]

## runType

The stage the signal emission is currently in, this field will contain one of `SignalFlagsRunFirst`, `SignalFlagsRunLast` or `SignalFlagsRunCleanup` and `SignalFlagsAccumulatorFirstRun`. `SignalFlagsAccumulatorFirstRun` is only set for the first run of the accumulator function for a signal emission.

getSignalInvocationHintRunType :: MonadIO m => SignalInvocationHint -> m [SignalFlags] Source #

Get the value of the “`run_type`” field. When overloading is enabled, this is equivalent to

    get signalInvocationHint #runType

setSignalInvocationHintRunType :: MonadIO m => SignalInvocationHint -> [SignalFlags] -> m () Source #

Set the value of the “`run_type`” field. When overloading is enabled, this is equivalent to

    set signalInvocationHint [ #runType := value ]

## signalId

The signal id of the signal invoking the callback

getSignalInvocationHintSignalId :: MonadIO m => SignalInvocationHint -> m Word32 Source #

Get the value of the “`signal_id`” field. When overloading is enabled, this is equivalent to

    get signalInvocationHint #signalId

setSignalInvocationHintSignalId :: MonadIO m => SignalInvocationHint -> Word32 -> m () Source #

Set the value of the “`signal_id`” field. When overloading is enabled, this is equivalent to

    set signalInvocationHint [ #signalId := value ]